> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypedexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Builder top users

> Top users ranked by builder fees for a specific builder.



## OpenAPI

````yaml /builders/openapi-rest.json get /builders/{builder_address}/users
openapi: 3.0.3
info:
  title: 'Hypedexer API: Builders'
  version: 1.0.0
  description: Builder fee analytics and rankings.
servers:
  - url: https://api.hypedexer.com
    description: Production, routed to the nearest region (EU or JP)
security:
  - ApiKeyAuth: []
tags:
  - name: Builders
    description: Builder fee analytics and rankings.
paths:
  /builders/{builder_address}/users:
    get:
      tags:
        - Builders
      summary: Builder top users
      description: Top users ranked by builder fees for a specific builder.
      parameters:
        - name: builder_address
          in: path
          required: true
          schema:
            type: string
        - name: timeframe
          in: query
          schema:
            type: string
            default: 24h
            enum:
              - 1h
              - 24h
              - 7d
              - 30d
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
        - name: X-API-Key
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  message:
                    type: string
                    default: OK
                  data:
                    type: object
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        Your Hypedexer API key. Create one in the console at
        https://app.hypedexer.com. `Authorization: Bearer <key>` and the
        `api_key` query parameter are accepted as well.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.